org.eclipse.microprofile.reactive.messaging.tck.acknowledgement

## Class EmitterOfPayloadAcknowledgementTest.MessageConsumer

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.acknowledgement.EmitterOfPayloadAcknowledgementTest.MessageConsumer

Enclosing class:
  EmitterOfPayloadAcknowledgementTest

    @ApplicationScoped
    public static class EmitterOfPayloadAcknowledgementTest.MessageConsumer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MessageConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `disableFailureMode()`
`void` `enableFailureMode()`
`CompletionStage<Void>` `process(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageConsumer

    public MessageConsumer()

### Method Detail

#### enableFailureMode

    public void enableFailureMode()

#### disableFailureMode

    public void disableFailureMode()

#### process

    public CompletionStage<Void> process(String s)